Star Ruler 2 > Bugs & Support

Rendering issues/corruption on linux

(1/2) > >>

Boost:
Hi,

I just bought the game and tried to start it for the first time.
The game seems to start fine except for texture/font loading which fails resulting in this:

(Though, this looks like it could be corrupted texture buffers...)
This error gets spammed to terminal:

--- Code: ---libpng warning: iCCP: Not recognizing known sRGB profile that has been edited

--- End code ---

Using:
Fedora release 21 (Twenty One)
Linux version 3.18.3-201.fc21.x86_64
OpenGL version string: 3.0 Mesa 10.4.3
OpenGL shading language version string: 1.30
            : libpng
            : 1.6.10

I tried a fix suggested here: http://trac.wildfiregames.com/ticket/2184
which resulted in this error and the same result:

--- Code: ---Error: Could not load image '/home/hhyyrylainen/.local/share/Steam/SteamApps/common/Star Ruler 2/data/images/fileIcons.png'

--- End code ---

Some other links that I found while trying to fix this:
https://wiki.archlinux.org/index.php/Libpng_errors
http://stackoverflow.com/questions/22745076/libpng-warning-iccp-known-incorrect-srgb-profile

Thy Reaper:
The warnings from libpng can be safely ignored.

Could you please post your system specs?

Boost:
System Information

Hardware:
Processor: Intel Core 2 Quad Q9550 @ 2.83GHz (4 Cores), Motherboard: ASUS P5Q, Chipset: Intel 4 DRAM + ICH10R, Memory: 8192MB, Disk: 1000GB Western Digital WD10EADS-00L + 1000GB Seagate ST1000DM003-1CH1 + 2000GB Western Digital WD20EURS-63S + 320GB Seagate ST3320418AS + 3001GB External HDD, Graphics: ASUS AMD Radeon HD 7950/8950 OEM / R9 280 3072MB, Audio: Intel 82801JI, Monitor: BenQ G2420HDB + BenQ G2410HD, Network: Qualcomm Atheros AR8121/AR8113/AR8114

Software:
OS: Fedora 21, Kernel: 3.18.5-201.fc21.x86_64 (x86_64), Desktop: GNOME Shell 3.14.3, Display Server: X Server 1.16.3, Display Driver: radeon 7.2.99, OpenGL: 3.3 Mesa 10.4.3 Gallium 0.4, Compiler: GCC 4.9.2 20141101 + Clang 3.5.0 + LLVM 3.5.0, File-System: ext4, Screen Resolution: 3840x1080

Tested with Ubuntu 14.10 and the game works in it. I also tried deleting (most of) the bundled libraries (to use already installed libraries) and that didn't fix it.

Thy Reaper:
We haven't seen this issue with other Linux users yet, but some Windows users have troubles with Radeons and outdated drivers. Please make sure your drivers are up to date.

Boost:
I have the latest version of Mesa drivers, but I'm unable to install amd proprietary drivers as they don't support wayland which would be required for them to work on Fedora. The mesa drivers provide at least openGL 3.0 with shader version 130 which should be above the minimum requirement of openGL 2.1, right?

Navigation

[0] Message Index

[#] Next page

Go to full version